summaryrefslogtreecommitdiffstats
path: root/unittests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'unittests.sh')
-rwxr-xr-xunittests.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/unittests.sh b/unittests.sh
new file mode 100755
index 0000000..dc5927c
--- /dev/null
+++ b/unittests.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Copyright (c) 2013 Red Hat, Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
+cd $(dirname $0)/test/unit
+nosetests -v --exe --with-coverage --cover-package swiftkerbauth --cover-erase --cover-html --cover-branches $@
+
+saved_status=$?
+rm -f .coverage
+exit $saved_status
+